CentOS下使用yum安装python-pip失败的完美解决方法

以前用Ubuntu的时候感觉很简单的事到ContOS上却变得很头痛,在执行以下命令安装python-pip居然什么也没执行。

yum install python-pip

后来google了一下说是这个包在EPEL源里,要添加EPEL源才可以。然后按博客里说的方法添加,执行以下命令:

sudo rpm -ivh epel-release*

但是最后提示系统里已经安装了最新的epel包,但为什么却用不了呢?google了一天多都没有结果,最后在一个博客看到一句话让我找到了方向。CentOS中有的源是被禁用的,通过以下命令可以查看启用的源和禁用的源。

// 查看启用的源列表
yum repolist
// 查看禁用的源列表
yum repolist disabled

我查看了一下果然epel在禁用列表里,那怎么启用呢?其实只要修改一个文件就可以了,用vim打开下面的文件

vim /etc/yum.repos.d/epel.repo

将下面第一个和第三个的enabled=0改成enabled=1,第二个是测试版的可能不稳定所有别修改。

 [epel]
  name=Extra Packages for Enterprise Linux 6 - $basearch
 #baseurl=http://download.fedoraproject.org/pub/epel/6/$basearch
  mirrorlist=https://mirrors.fedoraproject.org/metalink?repo=epel-6&arch=$base  arch
  failovermethod=priority
  enabled=0
  gpgcheck=1
  gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL-6
[epel-debuginfo]
 name=Extra Packages for Enterprise Linux 6 - $basearch - Debug
 #baseurl=http://download.fedoraproject.org/pub/epel/6/$basearch/debug
 mirrorlist=https://mirrors.fedoraproject.org/metalink?repo=epel-debug-6&arch  =$basearch
 failovermethod=priority
 enabled=0
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL-6
 gpgcheck=1
[epel-source]
 name=Extra Packages for Enterprise Linux 6 - $basearch - Source
#baseurl=http://download.fedoraproject.org/pub/epel/6/SRPMS
 mirrorlist=https://mirrors.fedoraproject.org/metalink?repo=epel-source-6&arc  h=$basearch
 failovermethod=priority
 enabled=0
 gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL-6
 gpgcheck=1

现在可以用了,如果不修改上面的文件也可以用就中在安装的命令里加以下参数也可以。

--enablerepo=epel

yum --enablerepo=epel install python-pip

总结

以上所述是小编给大家介绍的CentOS下使用yum安装python-pip失败的完美解决方法,希望对大家有所帮助,如果大家有任何疑问请给我留言,小编会及时回复大家的。在此也非常感谢大家对我们网站的支持!

时间: 2017-08-13

MySQL常见内存不足启动失败的完美解决方法

1.启动MySQL时一直不成功,查看错误日志 /var/log/mysql/error.log 2.主要的错误信息有如下几条: [ERROR] InnoDB: mmap(136151040 bytes) failed; errno 12 [ERROR] InnoDB: Cannot allocate memory for the buffer pool [ERROR] InnoDB: Plugin initialization aborted with error Generic error [

ruby安装gem包失败的通用解决方法

ruby语言升级还是比较勤快的.但是数量众多的版本使得程序库的兼容性成了大问题.有些gem表示明确不支持某个特定版本以前的ruby,而有些gem则与较高的版本不兼容.再加上gem本身也有版本,简直是乱成了一锅粥.即使使用了rvm.rbenv之类ruby版本管理工具也避免不了掉入坑中.并且时不时的一些其它环境设置也给你捣乱.所以一般使用ruby程序时,对升级ruby版本或各种gem版本都是比较慎重的,避免一时手贱掉入坑中. 当然你也不能因此就做缩头乌龟,某些情况下还是不得不升级的.比如想使用rub

CentOS下使用yum命令安装计划任务程序crontab的方法

 概述 利用"任务计划",可以将任何脚本.程序或文档安排在某个最方便的时间运行.通俗的讲就是定时执行某个脚本.程序. 常见用途 定时关机 定时检查更新 定时对系统配置.数据库.日志进行备份 定时清理垃圾文件 检测是否已安装 # crontab -bash: crontab: command not found 执行 crontab 命令如果报 command not found,就表明没有安装. 开始安装 # yum -y install vixie-cron Loaded plugi

CentOS 下yum安装mysql、jdk和tomcat的方法

0. 创建个人文件夹 # 使用 yum 安装tomcat 和 mysql # 创建文件夹 cd /usr/local mkdir hehe 1. 安装rzsz # 1. 安装rzsz yum list lrzsz* yum install lrzsz -y 2. 安装JDK,path之类的已经自动设置好了 # 2. 安装JDK yum list java* yum install java-1.7.0-openjdk* -y 3. 安装mysql # 3. 安装mysql yum list my

CentOS 7.0下使用yum安装mysql的方法详解

CentOS7默认数据库是mariadb,配置等用着不习惯,因此决定改成mysql,但是CentOS7的yum源中默认好像是没有mysql的.为了解决这个问题,我们要先下载mysql的repo源. 1.下载mysql的repo源 $ wget http://repo.mysql.com/mysql-community-release-el7-5.noarch.rpm 2.安装mysql-community-release-el7-5.noarch.rpm包 $ sudo rpm -ivh mys

Linux Centos 下使用yum 命令安装mysql实现步骤

Linux Centos 下使用yum 命令安装mysql实现步骤 1. 查看服务器中有没有安装过Mysql 1. 查看有没有安装包: yum list mysql* #移除已经安装的mysql yum remove mysql mysql-server mysql-libs compat-mysql51 rm -rf /var/lib/mysql rm /etc/my.cnf 2. 查看是否还有mysql软件: rpm -qa|grep mysql #如果有的话,继续删除 3. 安装mysql

CentOS 6/7环境下通过yum安装php7的方法

本文实例讲述了CentOS 6/7环境下通过yum安装php7的方法.分享给大家供大家参考,具体如下: 安装php7已经是现在linux服务器必备的一款工具了,只要做网站都会考虑到使用php7了,下面我们来看Centos 6/ 7下通过yum安装php7环境的教程. 2015年12月初PHP7正式版发布,迎来自2004年以来最大的版本更新.PHP7最显著的变化就是性能的极大提升,已接近Facebook开发的PHP执行引擎HHVM.在WordPress基准性能测试中,速度比5.6版本要快2~3倍,

CentOS 7 下使用yum安装MySQL5.7.20 最简单方法

CentOS7默认数据库是mariadb, 但是 好多用的都是mysql ,但是CentOS7的yum源中默认好像是没有mysql的. 上一篇安装的是5.6的但是我想安装5.7的  yum安装是最简单的 尝试过编译安装各种问题,最后就决定用yum. (经过一段时间的学习又写了一篇用源码安装mysql5.7.22的 点击打开链接) 1.卸载  先停掉mysql进程   没有安装过的可以直接跳过 pkill -9 mysqld rpm -qa|grep -i mysql 用命令 yum -y rem

CentOS 6.5中安装Python 3.6.2的方法步骤

前言 centos 是自带python的.但是版本稍微旧一些.搞python开发,肯定要用新一点的稳定版.所以,要升级一下python.本文将介绍在CentOS 6.5中安装Python 3.6.2的相关内容,分享出来供大家参考学习,下面话不多说了,来一起看看详细的介绍吧. 步骤如下: 1.安装下列所需的依赖包: gcc zlib zlib-devel readline-devel # yum install zlib-devel # yum install readline-devel 注:r